Index: WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml	(revision 4010)
+++ WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml	(revision 4011)
@@ -163,4 +163,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">100</property>
  </widget>
  <widget name="rooms_per_floor" meta_type="Int Widget">
Index: WAeUP_SRP/trunk/profiles/uniben/properties.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/properties.xml	(revision 4010)
+++ WAeUP_SRP/trunk/profiles/uniben/properties.xml	(revision 4011)
@@ -5,5 +5,5 @@
  <property name="default_charset">iso-8859-15</property>
  <property name="email_from_address">crpu@uniben.edu</property>
- <property name="email_from_name">Admin</property>
+ <property name="email_from_name">Uniben CRPU</property>
  <property name="use_catalog_for_folder_contents">False</property>
  <property name="enable_password_reset" type="boolean">True</property>
Index: WAeUP_SRP/trunk/skins/waeup_aaua/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaua/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'AAUA'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_aaue/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'CRPU Uniben'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_fceokene/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceokene/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'FCE Okene'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'FCE Oyo'      
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_futminna/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_futminna/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'CRPU Uniben'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_ois/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'AAUA'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail2student.py	(revision 4011)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail2student.py	(revision 4011)
@@ -0,0 +1,45 @@
+## Script (Python) "mail2student"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
+##title=
+##
+# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
+
+from urllib import urlencode
+
+mhost = context.MailHost
+prop = context.portal_properties
+REQUEST = context.REQUEST
+
+d = {}
+#d['co_name'] = co_name
+#d['co_email'] = co_email
+d['co_name'] = prop.email_from_name
+d['co_email'] = prop.email_from_address
+d['student_email'] = student_email
+d['probtype'] = probtype
+d['commt'] = commt
+
+message = """
+From: %(co_name)s <%(co_email)s>
+To: %(student_email)s
+Cc: %(co_email)s
+Reply-To: %(co_email)s
+Subject: %(probtype)s
+%(commt)s
+"""
+
+mhost.send(message % d)
+
+args = {}
+psm = "Your message has been sent!"
+args['portal_status_message'] = psm
+if action:
+    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
+else:
+    url = context.absolute_url() +'?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_uniben/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'CRPU Uniben'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_unilorin/mail2student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_unilorin/mail2student.py	(revision 4010)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'AAUA'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)