Index: WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 4013)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 4014)
@@ -16,23 +16,25 @@
 d = {}
 
+d['all'] = 0
+
 if brain.mode.endswith('_ft'):
     # fresh full-time Foundation
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
         if brain.entry_mode == 'rm_ft' and brain.lga.startswith('edo'):
-            d['all'] = 50000
+            d['all'] = 65000
         else:
-            d['all'] = 60000
+            d['all'] = 75000
     # fresh tull-time students INE
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
-            d['all'] = 22000
+            d['all'] = 44000
         else:
-            d['all'] = 0
+            d['all'] = 49000
     # returning full-time students INE
     elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
-            d['all'] = 4300
+            d['all'] = 26300
         else:
-            d['all'] = 0
+            d['all'] = 31300
     # postgrad full-time students (fresh)
     elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
@@ -67,29 +69,44 @@
         else:
             d['all'] = 109500         
-    else:
-        d['all'] = 0        
-else:
-    # fresh part-time students INE
-    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
+
+elif brain.mode == 'dp_pt':
+    # fresh part-time Diploma students 
+    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
+    	if brain.lga.startswith('edo'):
+    	    d['all'] = 65000
+    	else:
+    	    d['all'] = 75000
+    	    
+    # returning part-time Diploma students
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+        if brain.lga.startswith('edo'):
+            d['all'] = 50000
+        else:
+            d['all'] = 60000
+        
+elif brain.mode.endswith('_pt'):
+    # fresh part-time students 
+    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.lga.startswith('edo'):
             d['all'] = 45000
         else:
             d['all'] = 55000
-    # returning part-time students INE
-    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning' and brain.faculty == 'INE':
+            
+    # returning part-time students 
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
         if brain.lga.startswith('edo'):
             d['all'] = 30000
         else:
             d['all'] = 40000
+
+
     # postgrad part-time students
     elif str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':
         if brain.lga.startswith('edo'):
             d['all'] = 64500
-        if brain.lga == 'foreigner':
+        elif brain.lga == 'foreigner':
             d['all'] = 219500
         else:
             d['all'] = 74500
-    else:
-        d['all'] = 0
 
 
Index: WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 4013)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 4014)
@@ -157,5 +157,5 @@
 <item_detail item_id="1" item_name="AAUE School Fee" item_amt="%(amount)s" bank_id="123" acct_num="6020008887" />
 <item_detail item_id="2" item_name="AAUE Split" item_amt="%(aaue_split)s" bank_id="123" acct_num="6020008887" />
-<item_detail item_id="3" item_name="BT" item_amt="%(bt_amount)s" bank_id="89" acct_num="0061001000021096" />
+<item_detail item_id="3" item_name="BT" item_amt="%(bt_amount)s" bank_id="117" acct_num="6012015294" />
 </item_details>
 </payment_item_detail>""" % xmldict