Index: /WAeUP_Moodle/acreen/akademie/datenschutz.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/datenschutz.html	(revision 4015)
+++ /WAeUP_Moodle/acreen/akademie/datenschutz.html	(revision 4015)
@@ -0,0 +1,25 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="de" xml:lang="de">
+<head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+</head>
+<body>
+
+<strong>Rechtshinweise</strong>
+<br /><br />
+Durch den Zugriff auf die hier veröffentlichten Seiten erklären Sie Ihr Einverständnis mit den folgenden Nutzungsbedingungen. Wenn Sie mit diesen Bedingungen nicht einverstanden sind, dürfen Sie auf diese Seiten nicht zurückgreifen.
+<br /><br />
+Die Inhalte dieser Seite werden "as is" zur Verfügung gestellt. Das bedeutet, soweit gesetzliche Vorschriften nichts anderes vorschreiben, dass keinerlei Gewährleistung (weder ausdrücklich noch stillschweigend) im Hinblick auf die Richtigkeit, Verlässlichkeit oder die Inhalte der einzelnen Seiten übernommen wird.
+<br /><br />
+Werden Ratschläge oder Empfehlungen abgegeben, handelt es sich um unverbindliche Auskünfte (§ 675 Abs. 2 BGB). Der Herausgeber behält sich das Recht vor, die Seiten jederzeit zu überarbeiten oder aus dem Netz zu nehmen. Sämtliche auf den Seiten vom Herausgeber enthaltenen Abbildungen, Grafiken, Tabellen und Texte sind urheberrechtlich geschützt. Eine Vervielfältigung, Verbreitung, Veränderung oder sonstige Nutzung, auch auszugsweise, ist Ihnen nicht gestattet und bedürfen vorheriger schriftlicher Zustimmung durch den Herauasgeber.
+<br /><br />
+Eine Verweisung auf die Seiten des Herausgebers mittels Link ist nur mit ausdrücklicher Genehmigung zulässig. Der Herausgeber übernimmt keine Verantwortung oder Haftung für die von Dritten erstellten oder veröffentlichten Inhalte, auf die ein Link von den Seiten des Herausgebers verweist, es sei denn, der Herausgeber macht sich diese Inhalte ausdrücklich zu eigen.
+<br /><br />
+<strong>Datenschutz-Hinweis gem. § 4 I TDDSG</strong>
+<br /><br />
+Gem. den Bestimmungen des Teledienste-DatenschutzG (TDDSG) weisen wir darauf hin, daß sämtliche an uns über diese Website übermittelten personenbezogenen Daten nicht über den zur Leistungserbringung hinaus erforderlichen Zeitraum und nicht in einem Maße, welche den zur Leistungserbringung unerlässlichen Umfang der Daten überschreitet verarbeitet und gespeichert werden.
+<br /><br />
+Übermittelte personenbezogene Daten werden nicht an Dritte weitergegeben. Sie werden von uns nach erfolgter Leistungserbringung (z.B. Bestellvorgänge) gelöscht. Eine darüber hinausgehende Speicherung erfolgt lediglich bei Anträgen, bei denen die übermittelten Daten für die notwendige Verwaltung unerlässlich sind.
+
+</body>
+</html> 
Index: /WAeUP_Moodle/acreen/akademie/fw_color.css
===================================================================
--- /WAeUP_Moodle/acreen/akademie/fw_color.css	(revision 4014)
+++ /WAeUP_Moodle/acreen/akademie/fw_color.css	(revision 4015)
@@ -43,4 +43,21 @@
   border-color:#DCDCDC;
 }
+
+
+#navlist {
+background:transparent none repeat scroll 0 0;
+color:#FFFFFF;
+}
+#navlist li a {
+background:#003D7D none repeat scroll 0 0;
+border:1px solid #003D7D;
+color:#FFFFFF;
+}
+#navlist li a:hover {
+background:#005DAA none repeat scroll 0 0;
+border:1px solid #005DAA;
+color:#FFFFFF;
+}
+
 
 
Index: /WAeUP_Moodle/acreen/akademie/fw_layout.css
===================================================================
--- /WAeUP_Moodle/acreen/akademie/fw_layout.css	(revision 4014)
+++ /WAeUP_Moodle/acreen/akademie/fw_layout.css	(revision 4015)
@@ -33,4 +33,28 @@
 
 }
+
+
+#navlist {
+float:left;
+list-style-type:none;
+margin:0;
+padding:0px;
+width:180px;
+}
+
+
+#navlist li a {
+float:left;
+margin:2.6px;
+padding:1px 1px 1px 1px;
+text-align:center;
+text-decoration:none;
+width:80px;
+}
+#navlist li a:hover {
+text-align:center;
+}
+
+
 
 
Index: /WAeUP_Moodle/acreen/akademie/header.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/header.html	(revision 4014)
+++ /WAeUP_Moodle/acreen/akademie/header.html	(revision 4015)
@@ -24,5 +24,21 @@
         <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_header_main.jpg' /></h1>
         <div class="headermenu"><?php echo $menu ?></div>
+
+        <div id="navlistbox">
+            <ul id="navlist">
+            <li><a  onclick="this.target='popup'; return openpopup('/theme/akademie/kontakt.html', 'popup', 'menubar=0,location=0,scrollbars,resizable,width=500,height=210', 0);"
+                    href="/kontakt">Kontakt</a>
+            <a  onclick="this.target='popup'; return openpopup('/theme/akademie/impressum.html', 'popup', 'menubar=0,location=0,scrollbars,resizable,width=500,height=690', 0);"
+                    href="/impressum">Impressum</a></li>
+            <li><a  onclick="this.target='popup'; return openpopup('/theme/akademie/datenschutz.html', 'popup', 'menubar=0,location=0,scrollbars,resizable,width=1000,height=500', 0);"
+                    href="/datenschutz">Datenschutz</a>
+            <a  onclick="this.target='popup'; return openpopup('/theme/akademie/hilfe.html', 'popup', 'menubar=0,location=0,scrollbars,resizable,width=500,height=400', 0);"
+                    href="/hilfe">Hilfe</a></li>
+            </ul>
+        </div>    
+
+
     </div>
+    
 <?php } else if ($heading) {  // This is what gets printed on any other page with a heading 
 ?>
Index: /WAeUP_Moodle/acreen/akademie/hilfe.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/hilfe.html	(revision 4015)
+++ /WAeUP_Moodle/acreen/akademie/hilfe.html	(revision 4015)
@@ -0,0 +1,1 @@
+in Bearbeitung
Index: /WAeUP_Moodle/acreen/akademie/impressum.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/impressum.html	(revision 4015)
+++ /WAeUP_Moodle/acreen/akademie/impressum.html	(revision 4015)
@@ -0,0 +1,57 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="de" xml:lang="de">
+<head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+</head>
+<body>
+    <strong>Anschrift:</strong><br />    
+    Akademie für Erneuerbare Energien <br />Lüchow-Dannenberg GmbH<br />
+    Seerauer Straße 27<br />
+    29439 Lüchow<br />
+    Telefon: +49 58 41 - 9 78 67-0<br />
+    Telefax: +49 58 41 - 9 78 67-20<br /><br />
+    
+    <strong>Sitz der Gesellschaft:</strong><br />Lüchow, Handelsregister Amtsgericht Lüneburg | HRB 201207<br /><br />  
+    <strong>Geschäftsleitung:</strong><br />Martina Grud und Anne Jirjahlke
+    <br /><br />           
+    <strong>Studienleitung:</strong><br />Dr. Henrik Bettermann
+    <br /><br />    
+    <strong>Studiensekretariat:</strong><br />Heike Papendieck
+    <br /><br />        
+     
+    <strong>Gesellschafter:</strong><br />
+ 
+    Dreyer & Bosse Kraftwerke GmbH, Gorleben<br />
+    
+    Samtgemeinde Elbtalaue, Dannenberg<br />
+    
+    EOP Biodiesel AG, Pritzwalk-Falkenhagen<br />
+     
+    Samtgemeinde Gartow, Gartow<br />
+    
+    GLC Glücksburg Consulting AG, Hamburg<br />
+    
+    IfU - Initiativkreis für Unternehmergespräche e.V., Lüchow-Grabow<br />
+    
+    Kreisvolkshochschule Uelzen/Lüchow-Dannenberg gemeinnützige GmbH, Uelzen<br />
+    
+    Ländliche Erwachsenenbildung in Niedersachsen e.V., Hannover<br />
+    
+    Lüchower Wirtschaftsförderungsgesellschaft mbH<br />
+    
+    Maschinenring Wendland GmbH, Lüchow<br />
+    
+    Cleantech Invest AG, St. Gallen<br />
+    
+    Pro2 Anlagentechnik GmbH, Willich<br />
+    
+    Region Aktiv Wendland Elbetal e.V., Lüchow<br />
+    
+    SOWIWAS-Sonne Wind und Wasser GmbH, Erkerode<br />
+    
+    target GmbH, Hannover<br />
+
+    
+    
+</body>
+</html>
Index: /WAeUP_Moodle/acreen/akademie/kontakt.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/kontakt.html	(revision 4015)
+++ /WAeUP_Moodle/acreen/akademie/kontakt.html	(revision 4015)
@@ -0,0 +1,19 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="de" xml:lang="de">
+<head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+</head>
+<body  class="lang-de_utf8">
+
+    <strong>Studienleitung und Administration des Lernportals</strong>
+    <br /><br />
+    Dr. rer. nat. Henrik Bettermann<br />
+    Akademie für Erneuerbare Energien<br />
+    Seerauer Straße 27<br />
+    29439 Lüchow<br />
+    Telefon: +49 58 41 - 96 15 23<br />
+    Telefax: +49 58 41 - 96 16 05<br /><br />
+    Email: info (at) akademie-ee.de
+
+</body>
+</html>