Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 3998)
+++ 	(revision )
@@ -1,191 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_accommodation" meta_type="CPS Layout">
- <property name="layout_create_method">layout_enter_access_code</property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="acco_maint_code" meta_type="String Widget">
-  <property name="title">Maintenance Payment Code</property>
-  <property name="fields">
-   <element value="acco_maint_code"/>
-  </property>
-  <property name="label">Maintenance Payment Code</property>
-  <property name="label_edit">Maintenance Payment Code</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="acco_maint_date" meta_type="DateTime Widget">
-  <property name="title">Maintenance Payment Date</property>
-  <property name="fields">
-   <element value="acco_maint_date"/>
-  </property>
-  <property name="label">Maintenance Payment Date</property>
-  <property name="label_edit">Maintenance Payment Date</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="acco_maint_fee" meta_type="String Widget">
-  <property name="title">Maintenance Fee</property>
-  <property name="fields">
-   <element value="acco_maint_fee"/>
-  </property>
-  <property name="label">Maintenance Fee</property>
-  <property name="label_edit">Maintenance Fee</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Hostel Maintenance PIN</property>
-  <property name="fields">
-   <element value="acco_maint_sc_pin"/>
-  </property>
-  <property name="label">Hostel Maintenance PIN</property>
-  <property name="label_edit">Hostel Maintenance PIN</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">HMU</property>
- </widget>
- <widget name="acco_maint_pay_id" meta_type="String Widget">
-  <property name="title">Online Payment Id</property>
-  <property name="fields">
-   <element value="acco_maint_pay_id"/>
-  </property>
-  <property name="label">Online Payment Id</property>
-  <property name="label_edit">Online Payment Id</property>
-  <property name="readonly_layout_modes">
-   <element value="create"/>
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="acco_res_date" meta_type="DateTime Widget">
-  <property name="title">Hostel Application Date</property>
-  <property name="fields">
-   <element value="acco_res_date"/>
-  </property>
-  <property name="label">Hostel Application Date</property>
-  <property name="label_edit">Hostel Application Date</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Hostel Application PIN</property>
-  <property name="fields">
-   <element value="acco_res_sc_pin"/>
-  </property>
-  <property name="label">Hostel Application PIN</property>
-  <property name="label_edit">Hostel Application PIN</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">HOS</property>
- </widget>
- <widget name="bed" meta_type="Method Widget">
-  <property name="title">Bed</property>
-  <property name="fields">
-   <element value="bed"/>
-  </property>
-  <property name="label">Bed</property>
-  <property name="label_edit">Bed</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_method">getFormattedBed</property>
- </widget>
- <widget name="session" meta_type="String Widget">
-  <property name="title">Session</property>
-  <property name="fields">
-   <element value="session"/>
-  </property>
-  <property name="label">Session</property>
-  <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="student_status" meta_type="String Widget">
-  <property name="title">Bed Type</property>
-  <property name="fields">
-   <element value="student_status"/>
-  </property>
-  <property name="label">Bed Type</property>
-  <property name="label_edit">Bed Type</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="session"/>
-  </row>
-  <row>
-   <cell name="bed"/>
-  </row>
-  <row>
-   <cell name="student_status"/>
-  </row>
-  <row>
-   <cell name="acco_res_sc_pin"/>
-  </row>
-  <row>
-   <cell name="acco_res_date"/>
-  </row>
-  <row>
-   <cell name="acco_maint_code"/>
-  </row>
-  <row>
-   <cell name="acco_maint_fee"/>
-  </row>
-  <row>
-   <cell name="acco_maint_sc_pin"/>
-  </row>
-  <row>
-   <cell name="acco_maint_pay_id"/>
-  </row>
-  <row>
-   <cell name="acco_maint_date"/>
-  </row>
-
- </table>
-</object>