Index: WAeUP_SRP/trunk/skins/waeup_futminna/id_card_demo.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_futminna/id_card_demo.pt	(revision 4029)
+++ WAeUP_SRP/trunk/skins/waeup_futminna/id_card_demo.pt	(revision 4029)
@@ -0,0 +1,153 @@
+<metal:body use-macro="here/idcard_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="global info context/getIdCardInfo;">
+
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info"
+          tal:define="pd python: info['personal']">
+
+    
+    <table border=0 style="border-style:solid; border-width:1px; border-color:black" cellpadding="0px" cellspacing="10px" width="450px" height="300px">
+    <tr>
+      <td colspan=2>
+        <div style="background-color:red; font-weight:bold; color:white; font-family:Courier New; font-size:120%">
+        STUDENT IDENTITY CARD
+        </div>
+        <div style="background-color:white; font-weight:bold; color:black; font-family:Courier New; font-size:120%"> 
+        Federal University of Technology <br /> 
+        Minna, Nigeria    
+        </div>
+      </td>
+    </tr>
+    
+    <tr>
+    <td width="70%" valign="top">
+      <table border=0 style="font-family:Courier New; font-size:100%;
+                             background-image:url(logo_watermark.png); background-repeat:no-repeat; background-position:50px 30px;
+                             background-attachment:scroll;">
+          <tr>
+            <td valign="top" width="40%">NAMES:</td> 
+            <td><span tal:content="info/scatalog/name" /></td>
+          </tr>           
+                
+          <tr>
+            <td>MATRIC NO:</td> 
+            <td><span tal:content="info/scatalog/matric_no" /></td>
+          </tr>      
+          
+          <tr>
+            <td>LEVEL:</td> 
+            <td><span tal:content="info/scatalog/level" /></td>
+          </tr>
+                    
+          
+          <span tal:define="f_id info/scatalog/faculty;
+                            d_id info/scatalog/department;
+                            f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+                            d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
+                            >
+            <tr>
+              <td valign="top">FACULTY:</td>
+              <td tal:content="f_title" />
+            </tr>
+            <tr>
+              <td valign="top">DEPARTMENT:</td> 
+              <td><span tal:content="d_title" /></td>
+            </tr>
+          </span>
+          
+          <tr>
+            <td>ISSUE DATE:</td> 
+            <td />
+          </tr>   
+          
+          <tr>
+            <td>EXPIRY DATE:</td> 
+            <td />
+          </tr>     
+                
+        </table>
+      </td>
+      
+      <td width="30%" align="center">
+        <table style="font-family:Courier New; font-size:100%">
+          <tr>
+            <td align="center" tal:condition="python: 'passport' in info['student'].application.getContent().objectIds()">
+            <img height="150px" tal:attributes="src string:${here/portal_url}/campus/students/${info/scatalog/id}/application/passport"/>
+            </td>
+          </tr>
+          <tr >
+           <td style="padding:15px">&nbsp;</td> 
+          </tr>    
+          <tr>
+           <td align="center" style="border-top-style:solid; border-top-width:1px; 
+                                    border-top-color:black; margin:100px; font-size:80%">
+             Student's Signature
+           </td> 
+          </tr>   
+        </table>
+      </td>
+      
+      </tr>
+      </table>
+      
+      <br /><br />
+      
+    <table border=0 style="border-style:solid; border-width:1px; border-color:black; font-family:Courier New; font-size:100% " 
+                  width="450px" height="300px" cellpadding="0px" cellspacing="0px" >
+        
+      
+    <tr>
+      <td>
+        <div style="background-color:black; margin:0px; padding:4px; margin-top:10px">
+        &nbsp; </div>
+
+      </td>
+    </tr>        
+    <tr height="50%" >
+      <td>
+      <div style="padding:10px">This identity card is not transferable. It must be produced anytime it's requested by any 
+      officer of the University or any authorized person(s).
+      <br /><br />
+      Loss of this card must be reported immediately to the registrar, Federal University of Technology, P.M.B. XXXX,
+      Minna, Nigeria. Telephone: (xxxx) xxxxx
+      </div>
+      </td>
+    </tr>
+    
+    <tr>
+    <td valign="top">
+      <table border=0  cellpadding="0px" cellspacing="0px" width="100%" style="margin-left:10px;">
+          
+      <tr>
+        <td width="50%" valign="top">Hall of Residence:</td> 
+        <td width="10%"><span tal:content="pd/hall" /></td>
+        <td width="40%"></td>
+      </tr>        
+
+      <tr>
+        <td valign="top">Next of Kin:</td> 
+        <td><span tal:content="pd/next_kin_lastname"/> <span tal:content="pd/next_kin_firstname"/> <span tal:content="pd/next_kin_middlename"/></td>
+        <td></td>
+      </tr>          
+
+      <tr>
+        <td valign="top">Address of Next of Kin:</td> 
+        <td><span tal:content="pd/next_kin_address"/>
+        <td align="center" style="font-size:80%">
+             Registrar's Signature
+        </td> 
+      </tr>       
+      
+   
+      </table>
+      </td>
+      </tr>
+      </table>     
+
+  </span>
+  </metal:main>
+</metal:body>
+