Index: WAeUP_SRP/trunk/skins/waeup_aaue/payment_receipt.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/payment_receipt.pt	(revision 4064)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/payment_receipt.pt	(revision 4064)
@@ -0,0 +1,147 @@
+<metal:body use-macro="here/slip_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info context/getPaymentInfo;">
+      <span tal:condition="python: not info">
+        <span tal:content="here/illegal_view" />
+      </span>
+      
+      <span tal:condition="python: info">
+        <metal:block tal:condition="info/is_online_pmt">
+        <h3>Online Payment Receipt</h3>
+        <br />
+        <table tal:define="student info/student">
+        <tr>
+          <td width="220px">Name:</td> 
+          <td><span tal:content="student/name" /></td>
+        </tr>
+        <tr>
+          <td>Student Id:</td>
+          <td tal:content="student/id" />
+        </tr>        
+        <tr>
+          <td>Registration Number:</td>
+          <td tal:content="student/jamb_reg_no" />
+        </tr>           
+        <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>
+        <tr>
+          <td>Current Study Level:</td>
+          <td tal:content="python:context.portal_vocabularies.student_levels.get(student['level'])" />
+        </tr>                         
+        <tr>
+          <td>Certificate Id:</td>
+          <td tal:content="student/course" />
+        </tr>
+        <tr>
+          <td>Faculty:</td>
+          <td tal:content="student/faculty" />
+        </tr>        
+        <tr>
+          <td>Department:</td>
+          <td tal:content="student/department" />
+        </tr>        
+        </table>                 
+        <span tal:omit-tag=""
+              tal:content="structure python: info['payment_doc'].render(layout_mode='view')" 
+              />
+        </metal:block>
+        
+        
+        
+        
+        <metal:block tal:condition="info/is_scratchcard_pmt">            
+        <h3>Scratch Card Payment Receipt</h3>
+        <br />
+        <table tal:define="student info/student;
+                           pm nocall: info/payment_doc">
+        
+        <tr>
+          <td width="220px">Name:</td> 
+          <td><span tal:content="student/name" /></td>
+        </tr>
+        <tr>
+          <td>Student Id:</td>
+          <td tal:content="student/id" />
+        </tr>        
+        <tr>
+          <td>Registration Number:</td>
+          <td tal:content="student/jamb_reg_no" />
+        </tr> 
+        <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>                   
+        <tr>
+          <td>Certificate Id:</td>
+          <td tal:content="student/course" />
+        </tr>
+        <tr>
+          <td>Faculty:</td>
+          <td tal:content="student/faculty" />
+        </tr>        
+        <tr>
+          <td>Department:</td>
+          <td tal:content="student/department" />
+        </tr>             
+
+
+        <tr>
+          <td width="220px">Payment Status:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.payment_status.get(pm.status)" /></td>
+        </tr>   
+        <tr>
+          <td width="220px">Access Code:</td> 
+          <td><span tal:content="pm/order_id" /></td>
+        </tr>     
+        <tr>
+          <td width="220px">Payment Type:</td> 
+          
+          <td><span tal:content="python:context.portal_vocabularies.payment_types.get(pm.type)" /></td>
+        </tr>   
+        <tr>
+          <td width="220px">Payment Category:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.payment_categories.get(pm.category)" /></td>
+        </tr>   
+        <tr>
+          <td width="220px">Payment Item:</td> 
+          <td><span tal:content="pm/item" /></td>
+        </tr>       
+        <tr>
+          <td width="220px">Session:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.sessions.get(pm.session_id)" /></td>
+        </tr>                   
+     
+        <tr>        
+          <td width="220px">Transaction Date:</td> 
+          <td><span tal:content='python:pm.date.strftime("%d/%m/%y %H:%M:%S")' /></td>
+        </tr>       
+        <tr>
+          <td width="220px">Amount (Naira):</td> 
+          <td><span tal:content="pm/amount" /></td>
+        </tr>   
+        <tr>
+          <td width="220px">Response Code:</td> 
+          <td><span tal:content="pm/resp_code" /></td>
+        </tr>         
+        <tr>
+          <td width="220px">Response Description:</td> 
+          <td><span tal:content="pm/resp_desc" /></td>
+        </tr>              
+        </table>
+        </metal:block>
+
+        <metal:block tal:condition="info/is_interrupted">            
+        <h3>Payment Process Interrupted!</h3>
+        <br />        
+        </metal:block>
+        
+        <metal:block tal:condition="info/unknown_code">
+        <h3>Response from Bank: "<span tal:content="info/resp_desc" />"</h3>
+        <br />        
+        </metal:block>
+
+      </span>
+    </metal:main>
+</metal:body>