Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 4077)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 4098)
@@ -12,7 +12,7 @@
                                        term_complete info/complete1;
                                        term options/term;
-                                       sem_series python:(('Term One','normal1','complete1','score_calc_average_1','yga1','counter1'),
-                                                          ('Term Two','normal2','complete2','score_calc_average_2','yga2','counter2'),
-                                                          ('Term Three','normal3','complete3','score_calc_average_3','yga3','counter3'));
+                                       sem_series python:(('Term One','normal1','complete1','score_calc_average_1','yga1','counter1','date1'),
+                                                          ('Term Two','normal2','complete2','score_calc_average_2','yga2','counter2','date2'),
+                                                          ('Term Three','normal3','complete3','score_calc_average_3','yga3','counter3','date3'));
                                        sem python:sem_series[int(term)-1];
                                        ">
@@ -71,5 +71,6 @@
                 <tr > 
                     <td width=50%>&nbsp;</td>  
-                    <td width=20%>Date: n/a</td> 
+                    <td width=20%>Date: <span tal:content="python:info[sem[6]]"/>
+                    </td> 
                     <td width=30% align='center'>
                     <img tal:attributes="src string:${static_base_url}butler.jpg"  alt="Signature"/>
Index: WAeUP_SRP/trunk/skins/waeup_ois/config_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/config_form.pt	(revision 4098)
+++ WAeUP_SRP/trunk/skins/waeup_ois/config_form.pt	(revision 4098)
@@ -0,0 +1,163 @@
+<metal:html>
+
+<span tal:condition="not: context/isSectionOfficer">
+  <span tal:content="here/illegal_view" />
+</span>
+
+<metal:block tal:condition="context/isSectionOfficer">
+<metal:body use-macro="here/main_template/macros/master">
+<metal:header fill-slot="header"
+              tal:define="mtool here/portal_membership;
+                          checkPerm nocall:mtool/checkPermission;">
+  <h3>Configure Portal</h3>
+</metal:header>
+<metal:main fill-slot="main">
+  <form action="" method="post"
+        tal:attributes="action string:${base_url}reconfig"
+        tal:define="pprops nocall:here/portal_properties;
+                    mtool nocall:here/portal_membership;
+                    rtool nocall:here/portal_registration">
+    <br />
+
+    <table id="portalConfiguration" summary="Portal properties form">
+      <tr>
+        <th>
+          <label>
+            Institution Title
+          </label>
+        </th>
+        <td>
+          <input name="institution_title" id="institution_title" value=""
+                 tal:attributes="value pprops/institution_title" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="email_from_name"
+                 i18n:translate="label_admin_name">
+            Administrator Name
+          </label>
+        </th>
+        <td>
+          <input name="email_from_name" id="email_from_name" value=""
+                 tal:attributes="value pprops/email_from_name" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="email_from_address"
+                 i18n:translate="label_admin_email">
+            Administrator Email
+          </label>
+        </th>
+        <td>
+          <input name="email_from_address" id="email_from_address" value=""
+                 tal:attributes="value pprops/email_from_address" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="smtp_server"
+                 i18n:translate="label_smtp_server">
+            SMTP Server
+          </label>
+        </th>
+        <td>
+          <input name="smtp_server" id="smtp_server" value=""
+                 tal:attributes="value pprops/smtp_server" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="portal_title"
+                 i18n:translate="label_portal_title">
+            Portal title
+          </label>
+        </th>
+        <td>
+          <input name="title" id="portal_title" value=""
+                 tal:attributes="value pprops/title" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label>
+            Current Session
+          </label>
+        </th>
+        <td>
+          <input name="session" id="portal_session" value=""
+                 tal:attributes="value pprops/session" />
+        </td>
+      </tr>      
+      <tr>
+        <th>
+          <label>
+            Static Directory on Server
+          </label>
+        </th>
+        <td>
+          <input name="static_dir" id="static_dir" value=""
+                 tal:attributes="value pprops/static_dir" />
+        </td>
+      </tr>        
+      <tr>
+        <th>
+          <label for="portal_description"
+                 i18n:translate="label_portal_description">
+            Portal description
+          </label>
+        </th>
+        <td>
+          <textarea name="description" id="portal_description"
+                cols="40" rows="4" style="width: 100%"
+                tal:content="pprops/description">
+          </textarea>
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label>
+            Signature Date Term 1
+          </label>
+        </th>
+        <td>
+          <input type="text" name="date1" id="date1" value="" size="30"
+                 tal:attributes="value pprops/date1" />
+        </td>
+      </tr>     
+      <tr>
+        <th>
+          <label>
+            Signature Date Term 2
+          </label>
+        </th>
+        <td>
+          <input name="date2" id="date2" value="" size="30"
+                 tal:attributes="value pprops/date2" />
+        </td>
+      </tr>     
+      <tr>
+        <th>
+          <label>
+            Signature Date Term 3
+          </label>
+        </th>
+        <td>
+          <input name="date3" id="date3" value="" size="30"
+                 tal:attributes="value pprops/date3" />
+        </td>
+      </tr>     
+     
+    </table>
+    <p>
+      <button type="submit" class="standalone"  i18n:translate="button_change">Change</button>
+      <button type="button" class="standalone" onclick="history.back()"
+              i18n:translate="button_cancel">Cancel</button>
+    </p>
+  </form>
+
+</metal:main>
+</metal:body>
+</metal:block>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 4077)
+++ WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 4098)
@@ -18,4 +18,6 @@
 """
 
+import DateTime
+
 info = context.waeup_tool.getAccessInfo(context)
 student_id = info['student_id']
@@ -24,4 +26,5 @@
 
 mtool = context.portal_membership
+pprops = context.portal_properties
 member = mtool.getAuthenticatedMember()
 member_id = str(member)
@@ -177,3 +180,13 @@
 info['app_doc'] = student.application.getContent()
 
+if pprops.session == info['session']:
+    info['date1'] = DateTime.DateTime(pprops.date1).strftime('%d/%m/%Y')
+    info['date2'] = DateTime.DateTime(pprops.date2).strftime('%d/%m/%Y')
+    info['date3'] = DateTime.DateTime(pprops.date3).strftime('%d/%m/%Y')
+else:
+    info['date1'] = 'n/a'
+    info['date2'] = 'n/a'
+    info['date3'] = 'n/a'
+
+
 return info