Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4098)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4099)
@@ -27,4 +27,5 @@
 current = DateTime.DateTime()
 pr = context.portal_registration
+pprops = context.portal_properties
 request = REQUEST
 
@@ -39,5 +40,5 @@
 headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
 headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
-headings['cest'] = 'Apply for Part-Time Degree Programmes (2008/2009)! '
+headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2008/2009)! '
 #headings['cest'] = 'Apply for Certificate in Early Child Health (2008/2009)! '
 headings['sandwich'] = 'Apply for Part Time Degree in Education (2007/2008)! '
@@ -61,22 +62,16 @@
 #deaddates['pume'] = config_params['dead_pume']
 
-deaddates['pume'] = DateTime.DateTime('2008/08/19 07:00')
-deaddates['pde'] = DateTime.DateTime('2008/10/02 23:59')
+deaddates['pume'] = DateTime.DateTime(pprops.date1)
+deaddates['pde'] = DateTime.DateTime(pprops.date2)
 deaddates['prence'] = DateTime.DateTime('2007/12/4 23:59')
 deaddates['pce'] = DateTime.DateTime('2007/08/12 23:59')
-deaddates['cest'] = DateTime.DateTime('2009/01/26 23:59')
-deaddates['sandwich'] = DateTime.DateTime('2008/09/12 23:59')
+deaddates['cest'] = DateTime.DateTime(pprops.date3)
+deaddates['sandwich'] = DateTime.DateTime(pprops.date4)
 #deaddates['pt'] = DateTime.DateTime('2007/12/24 23:59')
 configuration += ('deaddate',deaddates),
 
 deadline = {}
-#deadline['pume'] = '[Date of PUME Deadline]'
 for sct in screening_types:
     deadline[sct] = deaddates[sct].strftime('%A, %d. %B %Y')
-# deadline['pde'] = 'Sunday, 4th November 2007'
-# deadline['prence'] = '[Date of PRENCE Deadline]'
-# deadline['pce'] = '[Date of PCE Deadline]'
-# deadline['cest'] = '[Date of CEST Deadline]'
-# deadline['pt'] = '[Date of PT Deadline]'
 configuration += ('deadline',deadline),
 
Index: /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 4099)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 4099)
@@ -0,0 +1,174 @@
+<metal:html>
+
+<span tal:condition="not: context/isSectionOfficer">
+  <span tal:content="here/illegal_view" />
+</span>
+
+<metal:block tal:condition="context/isSectionOfficer">
+<metal:body use-macro="here/main_template/macros/master">
+<metal:header fill-slot="header"
+              tal:define="mtool here/portal_membership;
+                          checkPerm nocall:mtool/checkPermission;">
+  <h3>Configure Portal</h3>
+</metal:header>
+<metal:main fill-slot="main">
+  <form action="" method="post"
+        tal:attributes="action string:${base_url}reconfig"
+        tal:define="pprops nocall:here/portal_properties;
+                    mtool nocall:here/portal_membership;
+                    rtool nocall:here/portal_registration">
+    <br />
+
+    <table id="portalConfiguration" summary="Portal properties form">
+      <tr>
+        <th>
+          <label>
+            Institution Title
+          </label>
+        </th>
+        <td>
+          <input name="institution_title" id="institution_title" value=""
+                 tal:attributes="value pprops/institution_title" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="email_from_name"
+                 i18n:translate="label_admin_name">
+            Administrator Name
+          </label>
+        </th>
+        <td>
+          <input name="email_from_name" id="email_from_name" value=""
+                 tal:attributes="value pprops/email_from_name" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="email_from_address"
+                 i18n:translate="label_admin_email">
+            Administrator Email
+          </label>
+        </th>
+        <td>
+          <input name="email_from_address" id="email_from_address" value=""
+                 tal:attributes="value pprops/email_from_address" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="smtp_server"
+                 i18n:translate="label_smtp_server">
+            SMTP Server
+          </label>
+        </th>
+        <td>
+          <input name="smtp_server" id="smtp_server" value=""
+                 tal:attributes="value pprops/smtp_server" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="portal_title"
+                 i18n:translate="label_portal_title">
+            Portal title
+          </label>
+        </th>
+        <td>
+          <input name="title" id="portal_title" value=""
+                 tal:attributes="value pprops/title" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label>
+            Current Session
+          </label>
+        </th>
+        <td>
+          <input name="session" id="portal_session" value=""
+                 tal:attributes="value pprops/session" />
+        </td>
+      </tr>      
+      <tr>
+        <th>
+          <label>
+            Static Directory on Server
+          </label>
+        </th>
+        <td>
+          <input name="static_dir" id="static_dir" value=""
+                 tal:attributes="value pprops/static_dir" />
+        </td>
+      </tr>        
+      <tr>
+        <th>
+          <label for="portal_description"
+                 i18n:translate="label_portal_description">
+            Portal description
+          </label>
+        </th>
+        <td>
+          <textarea name="description" id="portal_description"
+                cols="40" rows="4" style="width: 100%"
+                tal:content="pprops/description">
+          </textarea>
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label>
+            Deadline PUME Application:
+          </label>
+        </th>
+        <td>
+          <input type="text" name="date1" id="date1" value="" size="30"
+                 tal:attributes="value pprops/date1" />
+        </td>
+      </tr>     
+      <tr>
+        <th>
+          <label>
+            Deadline PUDE Application:
+          </label>
+        </th>
+        <td>
+          <input name="date2" id="date2" value="" size="30"
+                 tal:attributes="value pprops/date2" />
+        </td>
+      </tr>     
+      <tr>
+        <th>
+          <label>
+            Deadline CEST Application:
+          </label>
+        </th>
+        <td>
+          <input name="date3" id="date3" value="" size="30"
+                 tal:attributes="value pprops/date3" />
+        </td>
+      </tr>     
+     
+      <tr>
+        <th>
+          <label>
+            Deadline SANDWICH Application:
+          </label>
+        </th>
+        <td>
+          <input name="date4" id="date4" value="" size="30"
+                 tal:attributes="value pprops/date4" />
+        </td>
+      </tr>          
+    </table>
+    <p>
+      <button type="submit" class="standalone"  i18n:translate="button_change">Change</button>
+      <button type="button" class="standalone" onclick="history.back()"
+              i18n:translate="button_cancel">Cancel</button>
+    </p>
+  </form>
+
+</metal:main>
+</metal:body>
+</metal:block>
+</metal:html>