Index: /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 4117)
+++ /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 4118)
@@ -20,60 +20,93 @@
 if brain.mode.endswith('_ft'):
     # fresh full-time Foundation
-    if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated' and brain.entry_mode == 'rm_ft':
-        d['all'] = 65000
+    if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
+        if brain.entry_mode == 'rm_ft' and brain.lga.startswith('edo'):
+            d['all'] = 65000
+        else:
+            d['all'] = 75000
     # fresh tull-time students INE
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
-        d['all'] = 44000
+        if brain.lga.startswith('edo'):
+            d['all'] = 44000
+        else:
+            d['all'] = 49000
     # returning full-time students INE
     elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning' and brain.faculty == 'INE':
-        d['all'] = 26300
+        if brain.lga.startswith('edo'):
+            d['all'] = 26300
+        else:
+            d['all'] = 31300
     # postgrad full-time students (fresh)
     elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
-        if brain.lga == 'foreigner':
+        if brain.lga.startswith('edo'):
+            d['all'] = 62500
+        elif brain.lga == 'foreigner':
             d['all'] = 189500
         else:
-            d['all'] = 62500
+            d['all'] = 69500
     # MBL students (fresh or returning)       
     elif str(brain.level) in ('700','800','710','810') and brain.course in MBL:
+        if brain.lga.startswith('edo'):
+            d['all'] = 89500
+        elif brain.lga == 'foreigner':
+            d['all'] = 269500
+        else:
+            d['all'] = 99500
+    # non-MBL students (fresh or returning)   
+    elif str(brain.level) in ('700','800','710','810'):
+        if brain.lga.startswith('edo'):
+            d['all'] = 69500
+        if brain.lga == 'foreigner':
+            d['all'] = 219500
+        else:
+            d['all'] = 79500
+    # PHD Students       
+    elif str(brain.level) in ('900','910','1000','1010'):
+        if brain.lga.startswith('edo'):
+            d['all'] = 99500
         if brain.lga == 'foreigner':
             d['all'] = 269500
         else:
-            d['all'] = 89500
-    # non-MBL students (fresh or returning)   
-    elif str(brain.level) in ('700','800','710','810'):
-        if brain.lga == 'foreigner':
-            d['all'] = 219500
+            d['all'] = 109500         
+
+elif brain.mode == 'dp_pt':
+    # fresh part-time Diploma students 
+    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
+    	if brain.lga.startswith('edo'):
+    	    d['all'] = 65000
+    	else:
+    	    d['all'] = 75000
+    	    
+    # returning part-time Diploma students
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+        if brain.lga.startswith('edo'):
+            d['all'] = 50000
         else:
-            d['all'] = 69500
-    # PHD Students       
-    elif str(brain.level) in ('900','910','1000','1010'):
-        if brain.lga == 'foreigner':
-            d['all'] = 269500
-        else:
-            d['all'] = 99500         
+            d['all'] = 60000
         
 elif brain.mode.endswith('_pt'):
     # fresh part-time students 
-    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
-        d['all'] = 45000
-                   
+    if str(brain.level) in ('100','200') and brain.review_state == 'cleared_and_validated':
+        if brain.lga.startswith('edo'):
+            d['all'] = 45000
+        else:
+            d['all'] = 55000
+            
     # returning part-time students 
     elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
-        d['all'] = 30000
+        if brain.lga.startswith('edo'):
+            d['all'] = 30000
+        else:
+            d['all'] = 40000
 
-    # fresh part-time Diploma students 
-    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
-    	d['all'] = 65000
-    	
-    # returning part-time Diploma students
-    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
-        d['all'] = 50000
-        
+
     # postgrad part-time students
     elif str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':
-        if brain.lga == 'foreigner':
+        if brain.lga.startswith('edo'):
+            d['all'] = 64500
+        elif brain.lga == 'foreigner':
             d['all'] = 219500
         else:
-            d['all'] = 64500
+            d['all'] = 74500
 
 