Index: /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstaff.pt
===================================================================
--- /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstaff.pt	(revision 4136)
+++ /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstaff.pt	(revision 4136)
@@ -0,0 +1,50 @@
+<div class="portlet" 
+     tal:condition="python: request.principal.id == 'zope.anybody'">
+    <h3>Staff Login</h3>
+    <div>
+      You've chosen the the portal's 'back entrance' to log in. This
+      entrance is dedicated to university staff members to maintain
+      the portal's database.
+    </div>
+    <form method="post">
+
+      <table id="login" class="form" 
+	     summary="Table for entering login information">
+	<tbody>
+	  <tr>
+	    <th>
+	      <label for="form.login">User Name</label>
+	    </th>
+	    <td>
+	      <input type="text" id="login" name="form.login" size="20" />
+	    </td>
+	  </tr>
+
+	  <tr>
+	    <th>
+	      <label for="form.password">Password
+	    </label>
+	    </th>
+	    <td>
+	      <input type="password" id="password" name="form.password"
+		     size="20" value="" />
+	      &nbsp;&nbsp; 
+	      <font color="red">
+		Notice: Passwords are case sensitive.
+	      </font>   
+	    </td>
+	  </tr>
+	</tbody>
+      </table>
+
+      <!-- input type="hidden" name="camefrom" 
+	     tal:attributes="value view/camefrom or nothing" / -->
+
+      <input type="submit" name="SUBMIT" value="Login" />
+
+      <p>Don't forget to logout or exit your browser when you're done.</p>
+      <p>If you are having trouble logging in, make sure to enable
+      cookies in your web browser.</p>
+
+    </form>
+</div>
Index: /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstudent.pt
===================================================================
--- /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstudent.pt	(revision 4136)
+++ /waeup/branches/ulif-rewrite/src/waeup/authentication_templates/loginmainstudent.pt	(revision 4136)
@@ -0,0 +1,67 @@
+<div class="portlet" 
+     tal:condition="python: request.principal.id == 'zope.anybody'">
+    <h3>Student Login</h3>
+    <p>
+      To access the registration portal enter your Student Id and
+      Password.
+    </p>
+    <p>
+      The <strong>Student Id</strong> (initial capital letter followed
+      by 6 numbers) has been automatically assigned by the portal
+      after creation of the student record. Do not confuse with your
+      Registration or Matriculation Number!
+    </p>
+  
+    <p>
+      During the admission and clearance process the
+      <strong>Password</strong> corresponds with the last 10 digits of
+      your Admission Checking PIN (prefix APP).
+    </p>
+
+    <div>
+      You've chosen the the portal's 'back entrance' to log in. This
+      entrance is dedicated to university staff members to maintain
+      the portal's database.
+    </div>
+    <form method="post">
+
+      <table id="login" class="form" 
+	     summary="Table for entering login information">
+	<tbody>
+	  <tr>
+	    <th>
+	      <label for="form.login">User Name</label>
+	    </th>
+	    <td>
+	      <input type="text" id="login" name="form.login" size="20" />
+	    </td>
+	  </tr>
+
+	  <tr>
+	    <th>
+	      <label for="form.password">Password
+	    </label>
+	    </th>
+	    <td>
+	      <input type="password" id="password" name="form.password"
+		     size="20" value="" />
+	      &nbsp;&nbsp; 
+	      <font color="red">
+		Notice: Passwords are case sensitive.
+	      </font>   
+	    </td>
+	  </tr>
+	</tbody>
+      </table>
+
+      <!-- input type="hidden" name="camefrom" 
+	     tal:attributes="value view/camefrom or nothing" / -->
+
+      <input type="submit" name="SUBMIT" value="Login" />
+
+      <p>Don't forget to logout or exit your browser when you're done.</p>
+      <p>If you are having trouble logging in, make sure to enable
+      cookies in your web browser.</p>
+
+    </form>
+</div>