Index: /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt	(revision 4212)
+++ /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt	(revision 4213)
@@ -12,10 +12,63 @@
 akademie.theme.egg-info/top_level.txt
 akademie/theme/__init__.py
+akademie/theme/configure.zcml
+akademie/theme/profiles.zcml
 akademie/theme/setuphandlers.py
+akademie/theme/skins.zcml
 akademie/theme/tests.py
+akademie/theme/version.txt
 akademie/theme/browser/__init__.py
+akademie/theme/browser/configure.zcml
 akademie/theme/browser/interfaces.py
 akademie/theme/browser/viewlets.py
+akademie/theme/browser/templates/akademie_searchbox.pt
+akademie/theme/browser/templates/akademie_sections.pt
+akademie/theme/browser/templates/akademie_sections_rund.pt
+akademie/theme/browser/templates/akademie_subsections.pt
+akademie/theme/browser/templates/colophon.pt
+akademie/theme/browser/templates/footer.pt
+akademie/theme/browser/templates/footer_rund.pt
 akademie/theme/portlets/__init__.py
+akademie/theme/portlets/akademie_login.pt
+akademie/theme/portlets/configure.zcml
+akademie/theme/profiles/default/actions.xml
+akademie/theme/profiles/default/akademie.theme_various.txt
+akademie/theme/profiles/default/cssregistry.xml
+akademie/theme/profiles/default/import_steps.xml
+akademie/theme/profiles/default/skins.xml
+akademie/theme/profiles/default/viewlets.xml
+akademie/theme/skins/akademie_theme_custom_images/CONTENT.txt
+akademie/theme/skins/akademie_theme_custom_images/below_tabs_left.png
+akademie/theme/skins/akademie_theme_custom_images/below_tabs_right.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_black_bg.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_blue_bg.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_context_button.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_destructive_button.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_green_bg.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_navtree.png
+akademie/theme/skins/akademie_theme_custom_images/bullet_standalone_button.png
+akademie/theme/skins/akademie_theme_custom_images/dreyer-bosse.gif
+akademie/theme/skins/akademie_theme_custom_images/eon.gif
+akademie/theme/skins/akademie_theme_custom_images/eop.gif
+akademie/theme/skins/akademie_theme_custom_images/essent.gif
+akademie/theme/skins/akademie_theme_custom_images/favicon.ico
+akademie/theme/skins/akademie_theme_custom_images/glc.gif
+akademie/theme/skins/akademie_theme_custom_images/inkooperation.gif
+akademie/theme/skins/akademie_theme_custom_images/logo_header_main.jpg
+akademie/theme/skins/akademie_theme_custom_images/portletheader_left.png
+akademie/theme/skins/akademie_theme_custom_images/portletheader_right.png
+akademie/theme/skins/akademie_theme_custom_images/pro2.gif
+akademie/theme/skins/akademie_theme_custom_images/searchbutton.png
+akademie/theme/skins/akademie_theme_custom_images/searchbutton.png.metadata
+akademie/theme/skins/akademie_theme_custom_images/skf.gif
+akademie/theme/skins/akademie_theme_custom_images/sublevel_current_item.png
+akademie/theme/skins/akademie_theme_custom_images/top_tabs_left.png
+akademie/theme/skins/akademie_theme_custom_images/top_tabs_right.png
+akademie/theme/skins/akademie_theme_styles/CONTENT.txt
+akademie/theme/skins/akademie_theme_styles/base_properties.props
+akademie/theme/skins/akademie_theme_styles/main.css.dtml
+akademie/theme/skins/akademie_theme_styles/portlets.css.dtml
+akademie/theme/skins/akademie_theme_styles/print.css
+akademie/theme/skins/akademie_theme_styles/public.css.dtml
 docs/HISTORY.txt
 docs/INSTALL.txt
Index: /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/properties.xml
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/properties.xml	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/properties.xml	(revision 4213)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<site>
+ <property name="title">Akademie fuer Erneuerbare Energien</property>
+ <property name="description"></property>
+ <property name="default_page" type="string">front-page</property>
+ <property name="selectable_views" type="lines">
+  <element value="folder_listing"/>
+  <element value="news_listing"/>
+ </property>
+ <property name="email_from_address"
+    type="string">hbettermann@akademie-ee.de</property>
+ <property name="email_from_name" type="string">Site Administrator</property>
+ <property name="validate_email" type="boolean">True</property>
+ <property name="email_charset" type="string">utf-8</property>
+ <property name="enable_permalink" type="boolean">False</property>
+</site>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/skins.xml
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/skins.xml	(revision 4212)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/skins.xml	(revision 4213)
@@ -10,4 +10,7 @@
     meta_type="Filesystem Directory View"
     directory="akademie.theme:skins/akademie_theme_styles"/>
+ <object name="akademie_theme_custom_skins"
+    meta_type="Filesystem Directory View"
+    directory="akademie.theme:skins/akademie_theme_custom_skins"/>
 
  <skin-path name="Akademie Theme" based-on="Plone Default">
@@ -16,4 +19,6 @@
   <layer name="akademie_theme_custom_images"
      insert-after="akademie_theme_styles"/>
+  <layer name="akademie_theme_custom_skins"
+     insert-after="akademie_theme_styles"/>     
  </skin-path>
  
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins.zcml
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins.zcml	(revision 4212)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins.zcml	(revision 4213)
@@ -6,4 +6,5 @@
    <cmf:registerDirectory name="akademie_theme_custom_images"/>
    <cmf:registerDirectory name="akademie_theme_styles"/>
+   <cmf:registerDirectory name="akademie_theme_custom_skins"/>
 
 </configure>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_byline_print.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_byline_print.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_byline_print.pt	(revision 4213)
@@ -0,0 +1,46 @@
+<div class="documentByLinePrint" 
+     metal:define-macro="byline"
+     i18n:domain="plone"
+     tal:condition="python: site_properties.allowAnonymousViewAbout or not isAnon"
+     tal:define="creator here/Creator;
+                 creator_home python: mtool.getHomeUrl(creator);
+                 ">
+
+                 
+    URL
+    <span tal:replace="here_url" />
+    <br /> 
+    Created
+    <span tal:replace="python:here.toLocalizedTime(here.CreationDate(),long_format=0)" />, 
+    last modified
+    <span tal:replace="python:here.toLocalizedTime(here.ModificationDate(),long_format=0)" />
+    <span tal:replace="python: DateTime(here.CreationDate()).TimeMinutes()" /> 
+    (<span tal:replace="python:DateTime().timezone()" />)
+    <br />
+    <span>
+      Date of request
+    </span>
+    <span tal:replace="python:here.toLocalizedTime(DateTime(),long_format=0)" />
+    <br />  
+    <span class="state-expired"
+        tal:condition="python:here.isExpired(here)">
+     This document is expired.
+    </span>
+    <br />
+    <tal:contrib condition="here/Contributors">
+       <span i18n:translate="label_contributors">
+         Contributors</span>:
+       <span tal:replace="python: ', '.join(here.Contributors())"></span>
+    <br />
+    </tal:contrib>
+    <br />               
+   
+    <a href="copyright">
+    &copy; Copyright</a> 
+    <span tal:replace="python: DateTime(here.CreationDate()).year()" />
+      <span tal:condition="not:here/Rights">
+      <span  tal:replace="portal_title" />
+    </span>
+    <span tal:condition="here/Rights" tal:content="here/Rights" />
+
+</div>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view.pt	(revision 4213)
@@ -0,0 +1,54 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      lang="en"
+      metal:use-macro="here/main_template_print/macros/master"
+      i18n:domain="plone">
+<body>
+
+<metal:main fill-slot="main">
+    <tal:main-macro metal:define-macro="main"
+           tal:define="kssClassesView context/@@kss_field_decorator_view;
+                       getKssClasses nocall:kssClassesView/getKssClassesInlineEditable;
+                       templateId template/getId;
+                       text here/getText;">
+
+
+
+
+        <h1 class="documentFirstHeading"> 
+            <metal:field use-macro="python:here.widget('title', mode='view')">
+            Title
+            </metal:field>
+        </h1>
+
+
+        <p class="documentDescription">
+            <metal:field use-macro="python:here.widget('description', mode='view')">
+            Description
+            </metal:field>
+        </p>
+
+        <p tal:condition="python: not text and is_editable"
+           i18n:translate="no_body_text"
+           class="discreet">
+            This item does not have any body text, click the edit tab to change it.
+        </p>
+
+        <metal:field use-macro="python:here.widget('text', mode='view')">
+        Body text
+        </metal:field>
+
+        <br /><br /><hr>
+
+        <div metal:use-macro="here/document_byline_print/macros/byline">
+          Get the byline - contains details about author and modification date.
+        </div>
+
+    </tal:main-macro>
+</metal:main>
+
+</body>
+</html>
+
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view_xxx.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view_xxx.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view_xxx.pt	(revision 4213)
@@ -0,0 +1,55 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      lang="en"
+      metal:use-macro="here/main_template_print/macros/master"
+      i18n:domain="plone">
+<body>
+
+<metal:main fill-slot="main">
+    <tal:main-macro metal:define-macro="main"
+           tal:define="infotype here/Type">
+        
+        <h1 tal:content="here/title_or_id" class="documentFirstHeading">
+          Title or id
+        </h1>
+
+        <div class="documentDescription"
+             tal:content="here/Description"
+             tal:condition="here/Description">
+            description
+        </div>
+        
+           
+
+				
+        <span tal:condition="python:infotype in ('Document', 'SA Info', 'SA Full Info')">
+        <div class="stx"
+             tal:define="len_text python:len(here.text)"
+             tal:condition="len_text">
+            <div tal:replace="structure python:here.getText()" />
+        </div>
+        </span> 				
+        
+        <span tal:condition="python:infotype in ('SA Event')">
+        <tal:name condition="here/getText">
+            <div tal:content="structure here/getText"></div>
+        </tal:name>
+        </span>  
+
+        <span tal:condition="python:infotype in ('SAFSSItem',)">
+        <div tal:define="rst_text here/getFile"
+             tal:replace="structure python:modules['Products.PythonScripts.standard'].restructured_text(rst_text)">
+             Body
+        </div>
+        </span>        
+        
+        <br />
+    
+        <div metal:use-macro="here/document_byline_print/macros/byline">
+          Get the byline - contains details about author and modification date.
+        </div>
+    </tal:main-macro>
+</metal:main>
+
+</body>
+</html>
+
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/header_printer_friendly.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/header_printer_friendly.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/header_printer_friendly.pt	(revision 4213)
@@ -0,0 +1,27 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xml:lang="en"
+      lang="en"
+      i18n:domain="plone"
+      tal:define="Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                  tabindex python:Iterator();">
+
+  <head metal:define-macro="html_header"
+        tal:define="ztu ztu|modules/ZTUtils;
+                    skinrequest python:request.get(here.portal_skins.getRequestVarname(), '');">
+    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"
+          tal:define="charset site_properties/default_charset|string:utf-8"
+          tal:attributes="content string:text/html;;charset=${charset}" />
+
+    <metal:baseslot define-slot="base" />
+
+    <meta name="generator" content="Plone - http://plone.org" />
+    <meta http-equiv="expires" content="0">
+    
+
+    <link rel="stylesheet" type="text/css" media="all" href="" tal:attributes="href string:$portal_url/print.css" />
+
+
+  </head>
+
+
+</html>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template.pt	(revision 4213)
@@ -0,0 +1,198 @@
+<metal:page define-macro="master">
+<metal:block define-slot="top_slot" />
+
+<tal:doctype tal:replace="structure string:&lt;!DOCTYPE html PUBLIC
+  &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;
+  &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt;" />
+<metal:block use-macro="here/global_defines/macros/defines" />
+
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xml:lang="en"
+      lang="en"
+      tal:define="lang language"
+      tal:attributes="lang lang;
+                      xml:lang lang">
+
+  <tal:cache tal:define="charset site_properties/default_charset|string:utf-8">
+    <metal:cache use-macro="here/global_cache_settings/macros/cacheheaders">
+      Get the global cache headers located in global_cache_settings.
+    </metal:cache>
+  </tal:cache>
+
+  <head>
+
+    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"
+          tal:define="charset site_properties/default_charset|string:utf-8"
+          tal:attributes="content string:text/html;;charset=${charset}" />
+
+    <metal:baseslot define-slot="base">
+      <base tal:attributes="href here/renderBase" /><!--[if lt IE 7]></base><![endif]-->
+    </metal:baseslot>
+
+    <meta name="generator" content="Plone - http://plone.org" />
+
+    <div tal:replace="structure provider:plone.htmlhead" />
+
+    <meta tal:define="metatags python:putils.listMetaTags(here).items()"
+          tal:condition="metatags"
+          tal:repeat="keyval metatags"
+          tal:attributes="name python:keyval[0];
+                          content python:keyval[1];" />
+
+    <!-- Internet Explorer Fixes -->
+    <tal:iefixstart replace="structure string:&lt;!--[if IE]&gt;" />
+        <style type="text/css" media="all" tal:condition="exists: portal/IEFixes.css"
+               tal:content="string:@import url($portal_url/IEFixes.css);">
+        </style>
+        
+        <script type="text/javascript"
+                tal:attributes="src string:${portal_url}/iefixes.js">
+        </script>
+        
+    <tal:iefixend replace="structure string:&lt;![endif]--&gt;" />
+
+    <link tal:replace="structure provider:plone.htmlhead.links" />
+
+    <!-- Disable IE6 image toolbar -->
+    <meta http-equiv="imagetoolbar" content="no" />
+    
+    <tal:comment replace="nothing"> A slot where you can insert elements in the header from a template </tal:comment>
+    <metal:headslot define-slot="head_slot" />
+
+    <tal:comment replace="nothing"> A slot where you can insert CSS in the header from a template </tal:comment>
+    <metal:styleslot define-slot="style_slot" />
+
+    <tal:comment replace="nothing"> This is deprecated, please use style_slot instead. </tal:comment>
+    <metal:cssslot define-slot="css_slot" />
+
+    <tal:comment replace="nothing"> A slot where you can insert javascript in the header from a template </tal:comment>
+    <metal:javascriptslot define-slot="javascript_head_slot" />
+
+  </head>
+
+  <body tal:attributes="class string:${here/getSectionFromURL} template-${template/id};
+                        dir python:test(isRTL, 'rtl', 'ltr')">
+    <div id="visual-portal-wrapper">
+
+      <div id="portal-top" i18n:domain="plone">
+        <div tal:replace="structure provider:plone.portaltop" />
+      </div>
+
+      <div class="visualClear" id="clear-space-before-wrapper-table"><!-- --></div>
+
+      <table id="portal-columns">
+        <tbody>
+          <tr>
+            <tal:comment replace="nothing"> Start of the left column </tal:comment>
+            <td id="portal-column-one"
+                metal:define-slot="column_one_slot"
+                tal:condition="sl">
+              <div class="visualPadding">
+                <metal:portlets define-slot="portlets_one_slot">
+                  <tal:block replace="structure provider:plone.leftcolumn" />
+                </metal:portlets>
+                &nbsp;
+              </div>
+            </td>
+            <tal:comment replace="nothing"> End of the left column </tal:comment>
+
+            <tal:comment replace="nothing"> Start of main content block </tal:comment>
+            <td id="portal-column-content"
+                tal:define="tabindex python:Iterator(mainSlot=False)">
+
+              <metal:block define-slot="content">
+                <div metal:define-macro="content"
+                     tal:define="show_border context/@@plone/showEditableBorder"
+                     tal:attributes="class python:test(show_border,'documentEditable','')">
+
+                  <div tal:replace="structure provider:plone.contentviews" />
+
+                  <div id="region-content"
+                       class="documentContent">
+
+                    <span id="contentTopLeft"></span>
+                    <span id="contentTopRight"></span>
+                    
+                    <a name="documentContent"></a>
+
+                    <div metal:use-macro="here/global_statusmessage/macros/portal_message">
+                      Portal status message
+                    </div>
+                    
+                    <div id="viewlet-above-content" tal:content="structure provider:plone.abovecontent" />
+
+                    <metal:slot metal:define-slot="body">
+                    <tal:comment replace="nothing">
+                        The div with ID #content will only show up if we're actually on a content
+                        view, never on edit forms, control panels etc. It's meant to only wrap the
+                        actual content that gets rendered on a page, not the other UI elements.
+                    </tal:comment>
+                    <div id="content"
+                         tal:omit-tag="not:context/@@plone_context_state/is_view_template">
+                      <metal:header metal:define-slot="header" tal:content="nothing">
+                        Visual Header
+                      </metal:header>
+                      <metal:bodytext metal:define-slot="main" tal:content="nothing">
+                        Page body text
+                      </metal:bodytext>
+                    </div>
+                    </metal:slot>
+
+                    <metal:sub metal:define-slot="sub">
+                    
+                      <div tal:replace="structure provider:plone.belowcontent" />
+                    
+                    </metal:sub>
+
+                    <span id="contentBottomLeft"></span>
+                    <span id="contentBottomRight"></span>
+
+                  </div>
+
+                </div>
+
+              </metal:block>
+            </td>
+            <tal:comment replace="nothing"> End of main content block </tal:comment>
+
+            <tal:comment replace="nothing"> Start of right column </tal:comment>
+            <td id="portal-column-two"
+                metal:define-slot="column_two_slot"
+                tal:condition="sr">
+              <div class="visualPadding">
+                <metal:portlets define-slot="portlets_two_slot">
+                  <tal:block replace="structure provider:plone.rightcolumn" />
+                </metal:portlets>
+                &nbsp;
+              </div>
+            </td>
+            <tal:comment replace="nothing"> End of the right column </tal:comment>
+          </tr>
+        </tbody>
+      </table>
+      <tal:comment replace="nothing"> end column wrapper </tal:comment>
+
+      <div class="visualClear" id="clear-space-before-footer"><!-- --></div>
+      
+      <div tal:define="context_state context/@@plone_context_state;
+                        portlet_assignable context_state/portlet_assignable"
+            tal:condition="python:not sl and not sr and portlet_assignable and checkPermission('Portlets: Manage portlets', context)">
+          <a class="managePortletsFallback"
+             tal:attributes="href string:${context_state/canonical_object_url}/@@manage-portlets"
+             i18n:translate="manage_portlets_fallback">
+             Manage portlets
+          </a>
+      </div>
+
+      <metal:block i18n:domain="plone">
+
+        <div tal:replace="structure provider:plone.portalfooter" />
+
+      </metal:block>
+
+      <div class="visualClear"><!-- --></div>
+    </div>
+<div id="kss-spinner"><img tal:attributes="src string:${portal_url}/spinner.gif" alt="" /></div>
+</body>
+</html>
+</metal:page>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template_print.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template_print.pt	(revision 4213)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/main_template_print.pt	(revision 4213)
@@ -0,0 +1,68 @@
+<metal:page define-macro="master"><metal:doctype define-slot="doctype"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"></metal:doctype>
+<metal:block define-slot="top_slot" />
+<metal:block use-macro="here/global_defines/macros/defines" />
+
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xml:lang="en"
+      lang="en"
+      tal:attributes="lang default_language|default;
+                      xml:lang default_language|default;">
+
+
+  <head metal:use-macro="here/header_printer_friendly/macros/html_header">
+
+    <metal:fillbase fill-slot="base">
+      <metal:baseslot define-slot="base">
+        <base href="" tal:attributes="href here/renderBase" />
+      </metal:baseslot>
+    </metal:fillbase>
+
+    <metal:headslot fill-slot="head_slot" 
+                    tal:define="language here/Language;
+                                lang language | default_language;
+                                charset site_properties/default_charset|string:utf-8">
+
+      <metal:cache use-macro="here/global_cache_settings/macros/cacheheaders">
+        Get the global cache headers located in global_cache_settings.
+      </metal:cache>
+    </metal:headslot>
+
+  </head>
+
+  <body>
+
+    <div id="visual-portal-wrapper">
+
+      <div class="visualClear"></div>
+ 
+            <!-- start of main content block -->
+
+              <metal:block define-slot="content">
+                <div id="content"
+                     metal:define-macro="content">
+
+                <img class="logo" alt='Akademie EE' src='logo_header.jpg' />
+                     
+                  <div class="documentContent" id="region-content">
+
+                    <a name="documentContent"></a>
+
+                    <metal:bodytext metal:define-slot="main" tal:content="nothing">
+                      Page body text
+                    </metal:bodytext>
+
+                  </div>
+
+                </div>
+
+              </metal:block>
+  
+      <div class="visualClear">&nbsp;</div>
+
+    </div>
+
+  </body>
+</html>
+</metal:page>
+
+