Index: /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/actions.xml
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/actions.xml	(revision 4216)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/profiles/default/actions.xml	(revision 4217)
@@ -23,5 +23,5 @@
    <property name="description" i18n:translate=""></property>
    <property name="url_expr">string:$object_url/sendto_form</property>
-   <property name="icon_expr"></property>
+   <property name="icon_expr">string:$portal_url/mail_icon.gif</property>
    <property name="available_expr"></property>
    <property name="permissions">
@@ -34,10 +34,10 @@
    <property name="description" i18n:translate=""></property>
    <property name="url_expr">string:javascript:this.print();</property>
-   <property name="icon_expr"></property>
-   <property name="available_expr"></property>
-   <property name="permissions">
-    <element value="View"/>
-   </property>
-   <property name="visible">True</property>
+   <property name="icon_expr">string:$portal_url/print_icon.gif</property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">False</property>
   </object>
   <object name="addtofavorites" meta_type="CMF Action" i18n:domain="plone">
@@ -81,5 +81,5 @@
    <property name="description"></property>
    <property name="url_expr">string:$object_url/document_print_view</property>
-   <property name="icon_expr"></property>
+   <property name="icon_expr">string:$portal_url/print_icon.gif</property>
    <property name="available_expr"></property>
    <property name="permissions"/>
@@ -89,4 +89,38 @@
  <object name="site_actions" meta_type="CMF Action Category">
   <property name="title"></property>
+  <object name="sitemap" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Site Map</property>
+   <property name="description" i18n:translate=""></property>
+   <property name="url_expr">string:$portal_url/sitemap</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>
+  <object name="accessibility" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Accessibility</property>
+   <property name="description" i18n:translate=""></property>
+   <property
+      name="url_expr">string:${portal_url}/accessibility-info</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">False</property>
+  </object>
+  <object name="contact" meta_type="CMF Action" i18n:domain="plone">
+   <property name="title" i18n:translate="">Contact</property>
+   <property name="description" i18n:translate=""></property>
+   <property name="url_expr">string:${portal_url}/contact-info</property>
+   <property name="icon_expr"></property>
+   <property name="available_expr"></property>
+   <property name="permissions">
+    <element value="View"/>
+   </property>
+   <property name="visible">True</property>
+  </object>
   <object name="plone_setup" meta_type="CMF Action" i18n:domain="plone">
    <property name="title" i18n:translate="">Site Setup</property>
@@ -100,27 +134,4 @@
    </property>
    <property name="visible">True</property>
-  </object>
-  <object name="sitemap" meta_type="CMF Action" i18n:domain="plone">
-   <property name="title" i18n:translate="">Site Map</property>
-   <property name="description" i18n:translate=""></property>
-   <property name="url_expr">string:$portal_url/sitemap</property>
-   <property name="icon_expr"></property>
-   <property name="available_expr"></property>
-   <property name="permissions">
-    <element value="View"/>
-   </property>
-   <property name="visible">True</property>
-  </object>
-  <object name="accessibility" meta_type="CMF Action" i18n:domain="plone">
-   <property name="title" i18n:translate="">Accessibility</property>
-   <property name="description" i18n:translate=""></property>
-   <property
-      name="url_expr">string:${portal_url}/accessibility-info</property>
-   <property name="icon_expr"></property>
-   <property name="available_expr"></property>
-   <property name="permissions">
-    <element value="View"/>
-   </property>
-   <property name="visible">False</property>
   </object>
   <object name="datenschutz" meta_type="CMF Action">
@@ -142,15 +153,4 @@
    <property name="visible">True</property>
   </object>
-  <object name="contact" meta_type="CMF Action" i18n:domain="plone">
-   <property name="title" i18n:translate="">Contact</property>
-   <property name="description" i18n:translate=""></property>
-   <property name="url_expr">string:${portal_url}/contact-info</property>
-   <property name="icon_expr"></property>
-   <property name="available_expr"></property>
-   <property name="permissions">
-    <element value="View"/>
-   </property>
-   <property name="visible">True</property>
-  </object>
  </object>
  <object name="folder_buttons" meta_type="CMF Action Category">
Index: ademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view_xxx.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/document_print_view_xxx.pt	(revision 4216)
+++ 	(revision )
@@ -1,55 +1,0 @@
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
-      lang="en"
-      metal:use-macro="here/main_template_print/macros/master"
-      i18n:domain="plone">
-<body>
-
-<metal:main fill-slot="main">
-    <tal:main-macro metal:define-macro="main"
-           tal:define="infotype here/Type">
-        
-        <h1 tal:content="here/title_or_id" class="documentFirstHeading">
-          Title or id
-        </h1>
-
-        <div class="documentDescription"
-             tal:content="here/Description"
-             tal:condition="here/Description">
-            description
-        </div>
-        
-           
-
-				
-        <span tal:condition="python:infotype in ('Document', 'SA Info', 'SA Full Info')">
-        <div class="stx"
-             tal:define="len_text python:len(here.text)"
-             tal:condition="len_text">
-            <div tal:replace="structure python:here.getText()" />
-        </div>
-        </span> 				
-        
-        <span tal:condition="python:infotype in ('SA Event')">
-        <tal:name condition="here/getText">
-            <div tal:content="structure here/getText"></div>
-        </tal:name>
-        </span>  
-
-        <span tal:condition="python:infotype in ('SAFSSItem',)">
-        <div tal:define="rst_text here/getFile"
-             tal:replace="structure python:modules['Products.PythonScripts.standard'].restructured_text(rst_text)">
-             Body
-        </div>
-        </span>        
-        
-        <br />
-    
-        <div metal:use-macro="here/document_byline_print/macros/byline">
-          Get the byline - contains details about author and modification date.
-        </div>
-    </tal:main-macro>
-</metal:main>
-
-</body>
-</html>
-