Index: /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt	(revision 4217)
+++ /akademie/plone_themes/akademie.theme/akademie.theme.egg-info/SOURCES.txt	(revision 4218)
@@ -36,4 +36,6 @@
 akademie/theme/profiles/default/cssregistry.xml
 akademie/theme/profiles/default/import_steps.xml
+akademie/theme/profiles/default/properties.xml
+akademie/theme/profiles/default/propertiestool.xml
 akademie/theme/profiles/default/skins.xml
 akademie/theme/profiles/default/viewlets.xml
@@ -55,4 +57,5 @@
 akademie/theme/skins/akademie_theme_custom_images/glc.gif
 akademie/theme/skins/akademie_theme_custom_images/inkooperation.gif
+akademie/theme/skins/akademie_theme_custom_images/logo_header.jpg
 akademie/theme/skins/akademie_theme_custom_images/logo_header_main.jpg
 akademie/theme/skins/akademie_theme_custom_images/portletheader_left.png
@@ -65,4 +68,9 @@
 akademie/theme/skins/akademie_theme_custom_images/top_tabs_left.png
 akademie/theme/skins/akademie_theme_custom_images/top_tabs_right.png
+akademie/theme/skins/akademie_theme_custom_skins/document_byline_print.pt
+akademie/theme/skins/akademie_theme_custom_skins/document_print_view.pt
+akademie/theme/skins/akademie_theme_custom_skins/header_printer_friendly.pt
+akademie/theme/skins/akademie_theme_custom_skins/main_template.pt
+akademie/theme/skins/akademie_theme_custom_skins/main_template_print.pt
 akademie/theme/skins/akademie_theme_styles/CONTENT.txt
 akademie/theme/skins/akademie_theme_styles/base_properties.props
Index: /akademie/plone_themes/akademie.theme/akademie/theme/browser/configure.zcml
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/browser/configure.zcml	(revision 4217)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/browser/configure.zcml	(revision 4218)
@@ -92,4 +92,16 @@
         />       
         
+    <!-- The documentactions
+         We just re-assign this viewlet to another manager
+    -->
+    <browser:viewlet
+        name="plone.abovecontenttitle.documentactions"
+        manager="plone.app.layout.viewlets.interfaces.IBelowContentBody"
+        class="plone.app.layout.viewlets.content.DocumentActionsViewlet"
+        layer=".interfaces.IThemeSpecific"
+        template="templates/document_actions.pt"
+        permission="zope2.View" 
+        />         
+        
                                                       
 
Index: /akademie/plone_themes/akademie.theme/akademie/theme/browser/templates/document_actions.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/browser/templates/document_actions.pt	(revision 4218)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/browser/templates/document_actions.pt	(revision 4218)
@@ -0,0 +1,24 @@
+<div class="visualClear"><!-- --></div>
+<div i18n:domain="plone"
+     class="documentActions">
+    <tal:docactions tal:condition="view/actions">
+
+    <h5 class="hiddenStructure" i18n:translate="heading_document_actions">Document Actions</h5>
+
+    <ul tal:define="normalizeString nocall: context/@@plone/normalizeString">
+    <tal:actions repeat="daction view/actions">
+        <li tal:attributes="id python:'document-action-' + normalizeString(daction['id'])">
+            <a href="" tal:attributes="href daction/url;
+                       title daction/description">                   
+            <img tal:condition="daction/icon" tal:attributes="src daction/icon; alt daction/title; title daction/title"/>                   
+            <tal:action tal:condition="daction/icon" tal:content="daction/title" i18n:translate=""> Action name </tal:action> 
+            </a>
+        </li>
+    </tal:actions>
+
+    </ul>
+    </tal:docactions>
+
+    <div tal:replace="structure provider:plone.documentactions" />
+
+</div>